import { expect } from 'chai';
import { initialize } from "../src";

describe('Initialize the library', function() {
    it('Initialize the library with a valid backend URL', async () => {
        const backendUrl: string = "https://www.backend.url/";

        expect(() => initialize(backendUrl)).to.not.throw();
    });

    it('Initialize the library with an invalid backend URL', async () => {
        const invalidBackendUrl: string = "invalidBackendUrl";

        expect(() => initialize(invalidBackendUrl)).to.throw();
    });
});