/**
 * Thrown when the format of a URL is invalid.
 */
export class InvalidUrlError extends Error {
    /**
     * @param url
     */
    constructor(url: string){
        super(`${url} is an invalid URL.`);
        this.name = "InvalidUrlError";
    }
}
