import { expect } from 'chai';
import { isValidUrl } from "../src/helpers/validityHelper";

describe('Helpers tests', function() {
    it('URL validity - expect valid', async () => {
        const backendUrl: string = "https://www.backend.url/";
        const isValid: boolean = isValidUrl(backendUrl);

        expect(isValid).to.eql(true);
    });

    it('URL validity - expect invalid', async () => {
        const backendUrl: string = "invalidBackendUrl";
        const isValid: boolean = isValidUrl(backendUrl);

        expect(isValid).to.eql(false);
    });
});